cURL
curl --request GET \ --url https://api.cadanapay.com/v1/users/{userId}/beneficiaries \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "30e06567-9fa9-48b0-bf67-c54eb49e8b03", "name": "John Doe", "countryCode": "CO", "currency": "COP", "email": "john.doe@example.com", "paymentDetails": { "preferredMethod": "bank", "bank": { "accountName": "John Doe", "accountNumber": "123456789", "accountType": "Checking", "bankCode": "EXMPCOBB", "bankName": "Colombia Bank", "currency": "COP" } }, "createdTimestamp": 1748550207, "lastUpdatedTimestamp": 1748550207 } ], "node": { "previous": null, "next": null } }
Retrieve beneficiaries for a user
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The unique identifier for the user
"c06f3427-3bbe-4d70-9a54-28acda267e48"
List of beneficiaries
Show child attributes
Node pagination